Name:           clutter-gesture
Version:        0.0.2
Release:        2%{?dist}
Summary:        Gesture Library for Clutter

Group:          System Environment/Libraries
License:        LGPLv2+ and MIT
URL:            http://moblin.org/projects/clutter-gesture
Source0:        http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: clutter-devel
BuildRequires: glib2-devel

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool

%description
This library allows clutter applications to be aware of gestures 
and to easily attach some handlers to the gesture events. The library 
supports both single and multi touch.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q

# The NEWS file contains the license so use it as a COPYING file. Upstream has been contacted to resolve the issue
cp NEWS COPYING

# run autogen.sh until we have a proper release, but don't run configure twice.
sed -i '/configure/d' autogen.sh
./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libcluttergesture-%{version}.so.*
%{_libdir}/libengine.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libcluttergesture-%{version}.so
%{_libdir}/libengine.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Dec 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.2-2
- Review updates

* Tue Sep 15 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.2-1
- Initial packaging
